Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableInterceptor
Interface InterceptorOperations

All Known Subinterfaces:
  ClientRequestInterceptor, ClientRequestInterceptorOperations, Interceptor, IORInterceptor, IORInterceptorOperations, ServerRequestInterceptor, ServerRequestInterceptorOperations

public interface InterceptorOperations

All Portable Interceptors implement Interceptor.

Method Summary
`void` | `destroy()` Provides an opportunity to destroy this interceptor.
`String` | `name()` Returns the name of the interceptor.

Method Detail

### name

    public String name()

  Returns the name of the interceptor.

  Each Interceptor may have a name that may be used administratively to order the lists of Interceptors. Only one Interceptor of a given name can be registered with the ORB for each Interceptor type. An Interceptor may be anonymous, i.e., have an empty string as the name attribute. Any number of anonymous Interceptors may be registered with the ORB.

  Returns:
    the name of the interceptor.

### destroy

    public void destroy()

  Provides an opportunity to destroy this interceptor. The destroy method is called during `ORB.destroy`. When an application calls `ORB.destroy`, the ORB:
  1. waits for all requests in progress to complete
  2. calls the `Interceptor.destroy` operation for each interceptor
  3. completes destruction of the ORB
  Method invocations from within `Interceptor.destroy` on object references for objects implemented on the ORB being destroyed result in undefined behavior. However, method invocations on objects implemented on an ORB other than the one being destroyed are permitted. (This means that the ORB being destroyed is still capable of acting as a client, but not as a server.)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.